diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 745477d..7954153 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -136198,7 +136198,7 @@ RetractSolvePackage(Q, R): Exports == Implementation where
     QIfCan : List P -> Union(List FQ, "failed")
     PQIfCan: P -> Union(FQ, "failed")
 
-    PQ2P p   == map(#1::R, p)$PolynomialFunctions2(Q, R)
+    PQ2P p   == map((q1:Q):R +-> q1::R, p)$PolynomialFunctions2(Q, R)
     FQ2F f   == PQ2P numer f / PQ2P denom f
     LEQQ2F l == [equation(FQ2F lhs eq, FQ2F rhs eq) for eq in l]
 
diff --git a/changelog b/changelog
index eded704..3ef5b1a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.08.tpd.patch
+20090620 tpd books/bookvol10.4 RETSOL +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.07.tpd.patch
 20090620 tpd books/bookvol10.4 INTPAF +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a124c15..c27c893 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1613,5 +1613,7 @@ bookvol10.4 ODERED +-> conversion<br/>
 Makefile build books in parallel with src<br/>
 <a href="patches/20090620.07.tpd.patch">20090620.07.tpd.patch</a>
 bookvol10.4 INTPAF +-> conversion<br/>
+<a href="patches/20090620.08.tpd.patch">20090620.08.tpd.patch</a>
+bookvol10.4 RETSOL +-> conversion<br/>
  </body>
 </html>
